// Modules
const express = require('/usr/local/lib/node_modules/express');
const socketIO = require('/usr/local/lib/node_modules/socket.io');

// Créer l'application express
const app = express();

// Créer le serveur
const server = app.listen(3000);

// Créer l'objet socket.io en lui passant le serveur
const io = socketIO(server);

// Quand un utilisateur se connecte
io.on('connection', socket => {
console.log("connection de l'utilisateur à l'id "+ socket.id);
});

// Quand un utilisateur lance le jeu
io.on('launchGame', () => {
console.log('launch the game');
location.reload();
});

// Exporter l'objet socket.io
module.exports = {
io: io
};

console.log('iolisten');